| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iutil/dbghelp.h File Reference

Debugging helper interface. More...

`#include "csutil/scf_interface.h"`
`#include "csutil/ref.h"`
`#include "iutil/string.h"`

Go to the source code of this file.

## Classes
struct | iDebugHelper
| Some object that wants to implement unit testing, debugging and/or benchmarking can implement this interface. More...
## iDebugHelper implementation support flags
#define | CS_DBGHELP_BENCHMARK 2
| supports Benchmark().
#define | CS_DBGHELP_GFXDUMP 8
| supports graphical Dump().
#define | CS_DBGHELP_STATETEST 16
| supports StateTest().
#define | CS_DBGHELP_TXTDUMP 4
| supports non graphical Dump().
#define | CS_DBGHELP_UNITTEST 1
| supports UnitTest().

## Detailed Description

Debugging helper interface.

Definition in file dbghelp.h.